from django.urls import path
from django.contrib.auth.decorators import login_required, permission_required

from . import views

app_name = 'educacao'

urlpatterns = [
    path(
        '',
        login_required(views.Index.as_view()),
        name='index'
    ),
    path(
        '<int:id_disciplina>',
        login_required(views.Index.as_view()),
        name='index'
    ),
    path(
        'criar/disciplina/',
        login_required(views.CriarDisciplina.as_view()),
        name='criar_disciplina'
    ),
    path(
        'inscrever/disciplina/<int:id_disciplina>/',
        login_required(views.InscreverNaDisciplina.as_view()),
        name='matricular_na_disciplina'
    ),
    path(
        'editar/disciplina/<int:id_disciplina>/',
        (views.EditarDisciplina.as_view()),
        name='editar_disciplina'
    ),
    path(
        'ver/disciplina/<int:id_disciplina>/',
        login_required(views.VerDisciplina.as_view()),
        name='ver_disciplina'
    ),
    path(
        'ver/aula/<int:id_aula>/',
        login_required(views.VerAula.as_view()),
        name='ver_aula'
    ),
    path(
        'editar/aula/<int:id_aula>/',
        login_required(views.EditarAula.as_view()),
        name='editar_aula'
    ),
    path(
        'criar/artigo/<int:id_aula>/',
        login_required(views.CriarArtigo.as_view()),
        name='criar_artigo'
    ),
    path(
        'editar/artigo/<int:id_artigo>/',
        login_required(views.EditarArtigo.as_view()),
        name='editar_artigo'
    ),
    path(
        'ver/artigo/<int:id_artigo>/',
        login_required(views.VerArtigo.as_view()),
        name='ver_artigo'
    ),
    path(
        'criar/lista-exercicios/disciplina/<int:id_disciplina>/',
        login_required(views.CriarListaExercicios.as_view()),
        name='criar_lista_exercicios'
    ),
    path(
        'criar/relatorio/disciplina/<int:id_disciplina>/',
        login_required(views.CriarRelatorio.as_view()),
        name='criar_relatorio'
    ),
    path(
        'editar/relatorio/<int:id_relatorio>/',
        login_required(views.EditarRelatorio.as_view()),
        name='editar_relatorio'
    ),
    path(
        'responder/relatorio/<int:id_relatorio>/',
        login_required(views.ResponderRelatorio.as_view()),
        name='responder_relatorio'
    ),
    path(
        'criar/experimento/relatorio/<int:id_relatorio>/',
        login_required(views.AdicionarExperimentoRemotoNoRelatorio.as_view()),
        name='adicionar_experimento_remoto_no_relatorio'
    ),
    path(
        'remover/experimento/relatorio/<int:id_experimento>/',
        login_required(views.RemoverExperimentoNoLabRemoto.as_view()),
        name='remover_experimento_remoto_no_relatorio'
    ),
    path(
        'ver/experimento/<int:id_experimento>/',
        login_required(views.VerExperimento.as_view()),
        name='ver_experimento'
    ),
    path(
        'criar/execucao/<int:id_experimento>/',
        login_required(views.CriarExecucao.as_view()),
        name='criar_execucao'
    ),
    path(
        'duplicar/execucao/<int:id_experimento>/<int:id_execucao>/',
        login_required(views.DuplicarExecucao.as_view()),
        name='duplicar_execucao'
    ),
    path(
        'ver/experimento/<int:id_experimento>/execucao/<int:id_execucao>/',
        login_required(views.VerExecucao.as_view()),
        name='ver_execucao'
    ),
    path(
        'ver/experimento/<int:id_experimento>/execucao/<int:id_execucao>/codigo/',
        login_required(views.VerCodigoExecucao.as_view()),
        name='ver_codigo_execucao'
    ),
    path(
        'ver/experimento/<int:id_experimento>/execucao/<int:id_execucao>/grafico/',
        login_required(views.VerGrafico.as_view()),
        name='ver_grafico'
    ),
    path(
        'criar/experimento/<int:id_experimento>/execucao/<int:id_execucao>/',
        login_required(views.EditarExecucao.as_view()),
        name='editar_execucao'
    ),
    path(
        'executar/experimento/<int:id_experimento>/execucao/<int:id_execucao>/',
        login_required(views.ExecutarExperimento.as_view()),
        name='executar_experimento'
    ),
    path(
        'configurar/avaliacao/<int:id_avaliacao>/',
        login_required(views.EditarConfiguracoesAvaliacao.as_view()),
        name='editar_configuracoes_avaliacao'
    ),
    path(
        'editar/avaliacao/<int:id_avaliacao>/',
        login_required(views.EditarQuestaoAvaliacao.as_view()),
        name='editar_questao_avaliacao'
    ),
    path(
        'editar/questao/<int:id_questao_avaliacao>/avaliacao/<int:id_avaliacao>/',
        login_required(views.EditarQuestaoAvaliacao.as_view()),
        name='editar_questao_avaliacao'
    ),
    path(
        'editar/avaliacao/<int:id_avaliacao>/criar-nova-questao/',
        login_required(views.AdicionarQuestaoNaAvaliacao.as_view()),
        name='adicionar_questao_avaliacao'
    ),
    path(
        'editar/remover-questao/<int:id_questao_avaliacao>/',
        login_required(views.RemoverQuestaoAvaliacao.as_view()),
        name='remover_questao_avaliacao'
    ),
    path(
        'editar/questao/<int:id_questao_avaliacao>/criar-nova-alternativa/',
        login_required(views.AdicionarAlternativaNaQuestaoDaLista.as_view()),
        name='adicionar_alternativa_questao_avaliacao'
    ),
    path(
        'responder/lista-exercicios/<int:id_avaliacao>/',
        login_required(views.ResponderQuestaoListaExercicios.as_view()),
        name='responder_questao_da_avaliacao'
    ),
    path(
        'responder/questao/<int:id_questao_avaliacao>/lista-exercicios/<int:id_avaliacao>/',
        login_required(views.ResponderQuestaoListaExercicios.as_view()),
        name='responder_questao_da_avaliacao'
    ),
    path(
        'adicionar/anexo/<str:onde>/<int:id>/',
        login_required(views.AdicionarAnexo.as_view()),
        name='adicionar_anexo_onde'
    ),
    path(
        'remover/anexo/<str:onde>/<int:id_anexo>/',
        login_required(views.RemoverAnexoOnde.as_view()),
        name='remover_anexo_onde'
    ),
    path(
        'ver/correcao/lista-exercicios/<int:id_lista>/',
        login_required(views.VerCorrecaoAvaliacao.as_view()),
        name='ver_correcao_lista_exercicios'
    ),
    path(
        'ver/entregas/avaliacao/<int:id_avaliacao>/',
        login_required(views.VerEntregasAvaliacao.as_view()),
        name='ver_entregas_avaliacao'
    ),
    path(
        'corrigir/avaliacao/<int:id_avaliacao>/aluno/<int:id_aluno>/',
        login_required(views.CorrigirQuestaoAvaliacao.as_view()),
        name='corrigir_avaliacao_aluno'
    ),
]
